<?php
$routes->group(
	'cms-cadastro-das-categorias-dos-modulos', 
	[
		'namespace' => 'Modules\Cms_modulos_categorias\Controllers', 
		'filter' 		=> 'CheckAccessPermission'
	], 
	function ($routes) {
		$routes->get('/', 'Cms_modulos_categorias::listagem');

		$routes->match(['get', 'post'], 'novo-cadastro', 'Cms_modulos_categorias::cadastrar');
		$routes->post('cadastrando', 'Cms_modulos_categorias::cadastrando');
		
		$routes->match(['get', 'post'], 'alterando-cadastro/(:any)', 'Cms_modulos_categorias::alterar/$1');
		$routes->post('atualizando-cadastro/(:any)', 'Cms_modulos_categorias::alterando/$1');
		
		$routes->get('deletando-cadastro/(:any)', 'Cms_modulos_categorias::deletar/$1');
	}
);